Scilab Function
Last update : 16/06/2004

orth - calcul d'une base orthogonale

### Calling Sequence

  `Q=orth(A)`

### Parameters

- `A` : matrice réelle ou complexe
- `Q` : matrice réelle ou complexe

### Description

`Q=orth(A)` renvoie `Q`, une base orthogonale de l'image de `A`. Im(`Q`) = Im(`A`) et `Q'*Q = I`.

Le nombre de colonnes de `Q` est égal au rang de `A`, comme déterminé par l'algorithme QR.

### Examples

    A=rand(5,3)*rand(3,4);
    [X,dim]=rowcomp(A);X=X';
    svd([orth(A),X(:,1:dim)])

### See Also

`qr`, `rowcomp`, `colcomp`, `range`,